MWAWFontConverterInternal::Data::ConversionData Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MWAWFontConverterInternal::Data::ConversionData Struct Reference

Internal and low level: a class to store a conversion map for character, ... More...

## Public Member Functions
| ConversionData (std::map< unsigned char, unsigned long > &map, char const *odtName="", int delta=0)
| constructor More...
| ConversionData (std::map< unsigned char, unsigned long > &map, MWAWFontConverter::Encoding encoding, char const *odtName="", int delta=0)
| constructor for different encoding More...

## Public Attributes
MWAWFontConverter::Encoding | m_encoding
| the character encoding More...
std::map< unsigned char, unsigned long > & | m_conversion
| the conversion map character -> unicode More...
std::string | m_name
| the odt font name (if empty used the name) More...
int | m_deltaSize
| the size delta: odtSize = fSize + deltaSize More...

## Detailed Description

Internal and low level: a class to store a conversion map for character, ...

## Constructor & Destructor Documentation

MWAWFontConverterInternal::Data::ConversionData::ConversionData | ( | std::map< unsigned char, unsigned long > & | map,
|  | char const * | odtName = `""`,
|  | int | delta = `0`
| ) |  |
| inline

constructor

MWAWFontConverterInternal::Data::ConversionData::ConversionData | ( | std::map< unsigned char, unsigned long > & | map,
|  | MWAWFontConverter::Encoding | encoding,
|  | char const * | odtName = `""`,
|  | int | delta = `0`
| ) |  |
| inline

constructor for different encoding

## Member Data Documentation

std::map<unsigned char, unsigned long>& MWAWFontConverterInternal::Data::ConversionData::m_conversion

the conversion map character -> unicode

Referenced by MWAWFontConverterInternal::State::unicode().

int MWAWFontConverterInternal::Data::ConversionData::m_deltaSize

the size delta: odtSize = fSize + deltaSize

Referenced by MWAWFontConverterInternal::State::getOdtInfo().

MWAWFontConverter::Encoding MWAWFontConverterInternal::Data::ConversionData::m_encoding

the character encoding

Referenced by MWAWFontConverterInternal::State::unicode().

std::string MWAWFontConverterInternal::Data::ConversionData::m_name

the odt font name (if empty used the name)

Referenced by MWAWFontConverterInternal::State::getOdtInfo().

The documentation for this struct was generated from the following file:

- MWAWFontConverter.cxx